Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDORTHODIAGNOSISvalues

java.lang.Object
java.lang.Enum<CDORTHODIAGNOSISvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDORTHODIAGNOSISvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDORTHODIAGNOSISvalues>`, `java.lang.constant.Constable`

public enum CDORTHODIAGNOSISvalues extends Enum<CDORTHODIAGNOSISvalues>

Java class for CD-ORTHO-DIAGNOSISvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ORTHO-DIAGNOSISvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="primaryarthrosis"/>
         <enumeration value="necrosisavascular"/>
         <enumeration value="fracture"/>
         <enumeration value="inflamatory"/>
         <enumeration value="posttraumaticarthrosis"/>
         <enumeration value="arthrosisafterinfection"/>
         <enumeration value="secondaryarthrosis"/>
         <enumeration value="rheumatoidarthritis"/>
         <enumeration value="tumor"/>
         <enumeration value="hipdysplasia"/>
         <enumeration value="other"/>
         <enumeration value="asepticloosening"/>
         <enumeration value="infection"/>
         <enumeration value="instability"/>
         <enumeration value="periprostheticfracture"/>
         <enumeration value="pain"/>
         <enumeration value="wearpolyethylene"/>
         <enumeration value="wrongalignment"/>
         <enumeration value="fractureofimplant"/>
         <enumeration value="progressionarthrosis"/>
         <enumeration value="rigidity"/>
         <enumeration value="wear"/>
         <enumeration value="inflammatory"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARTHROSISAFTERINFECTION`
  `ASEPTICLOOSENING`
  `FRACTURE`
  `FRACTUREOFIMPLANT`
  `HIPDYSPLASIA`
  `INFECTION`
  `INFLAMATORY`
  `INFLAMMATORY`
  `INSTABILITY`
  `NECROSISAVASCULAR`
  `OTHER`
  `PAIN`
  `PERIPROSTHETICFRACTURE`
  `POSTTRAUMATICARTHROSIS`
  `PRIMARYARTHROSIS`
  `PROGRESSIONARTHROSIS`
  `RHEUMATOIDARTHRITIS`
  `RIGIDITY`
  `SECONDARYARTHROSIS`
  `TUMOR`
  `WEAR`
  `WEARPOLYETHYLENE`
  `WRONGALIGNMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDORTHODIAGNOSISvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDORTHODIAGNOSISvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDORTHODIAGNOSISvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRIMARYARTHROSIS

    public static final CDORTHODIAGNOSISvalues PRIMARYARTHROSIS

  - ### NECROSISAVASCULAR

    public static final CDORTHODIAGNOSISvalues NECROSISAVASCULAR

  - ### FRACTURE

    public static final CDORTHODIAGNOSISvalues FRACTURE

  - ### INFLAMATORY

    public static final CDORTHODIAGNOSISvalues INFLAMATORY

  - ### POSTTRAUMATICARTHROSIS

    public static final CDORTHODIAGNOSISvalues POSTTRAUMATICARTHROSIS

  - ### ARTHROSISAFTERINFECTION

    public static final CDORTHODIAGNOSISvalues ARTHROSISAFTERINFECTION

  - ### SECONDARYARTHROSIS

    public static final CDORTHODIAGNOSISvalues SECONDARYARTHROSIS

  - ### RHEUMATOIDARTHRITIS

    public static final CDORTHODIAGNOSISvalues RHEUMATOIDARTHRITIS

  - ### TUMOR

    public static final CDORTHODIAGNOSISvalues TUMOR

  - ### HIPDYSPLASIA

    public static final CDORTHODIAGNOSISvalues HIPDYSPLASIA

  - ### OTHER

    public static final CDORTHODIAGNOSISvalues OTHER

  - ### ASEPTICLOOSENING

    public static final CDORTHODIAGNOSISvalues ASEPTICLOOSENING

  - ### INFECTION

    public static final CDORTHODIAGNOSISvalues INFECTION

  - ### INSTABILITY

    public static final CDORTHODIAGNOSISvalues INSTABILITY

  - ### PERIPROSTHETICFRACTURE

    public static final CDORTHODIAGNOSISvalues PERIPROSTHETICFRACTURE

  - ### PAIN

    public static final CDORTHODIAGNOSISvalues PAIN

  - ### WEARPOLYETHYLENE

    public static final CDORTHODIAGNOSISvalues WEARPOLYETHYLENE

  - ### WRONGALIGNMENT

    public static final CDORTHODIAGNOSISvalues WRONGALIGNMENT

  - ### FRACTUREOFIMPLANT

    public static final CDORTHODIAGNOSISvalues FRACTUREOFIMPLANT

  - ### PROGRESSIONARTHROSIS

    public static final CDORTHODIAGNOSISvalues PROGRESSIONARTHROSIS

  - ### RIGIDITY

    public static final CDORTHODIAGNOSISvalues RIGIDITY

  - ### WEAR

    public static final CDORTHODIAGNOSISvalues WEAR

  - ### INFLAMMATORY

    public static final CDORTHODIAGNOSISvalues INFLAMMATORY

- ## Method Details

  - ### values

    public static CDORTHODIAGNOSISvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDORTHODIAGNOSISvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDORTHODIAGNOSISvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.